- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# XCB XPrint API

XPrint XCB Protocol Implementation. More...

## Data Structures
struct | xcb_x_print_string8_iterator_t
| xcb_x_print_string8_iterator_t More...
struct | xcb_x_print_printer_t
| xcb_x_print_printer_t More...
struct | xcb_x_print_printer_iterator_t
| xcb_x_print_printer_iterator_t More...
struct | xcb_x_print_pcontext_iterator_t
| xcb_x_print_pcontext_iterator_t More...
struct | xcb_x_print_print_query_version_cookie_t
| xcb_x_print_print_query_version_cookie_t More...
struct | xcb_x_print_print_query_version_request_t
| xcb_x_print_print_query_version_request_t More...
struct | xcb_x_print_print_query_version_reply_t
| xcb_x_print_print_query_version_reply_t More...
struct | xcb_x_print_print_get_printer_list_cookie_t
| xcb_x_print_print_get_printer_list_cookie_t More...
struct | xcb_x_print_print_get_printer_list_request_t
| xcb_x_print_print_get_printer_list_request_t More...
struct | xcb_x_print_print_get_printer_list_reply_t
| xcb_x_print_print_get_printer_list_reply_t More...
struct | xcb_x_print_print_rehash_printer_list_request_t
| xcb_x_print_print_rehash_printer_list_request_t More...
struct | xcb_x_print_create_context_request_t
| xcb_x_print_create_context_request_t More...
struct | xcb_x_print_print_set_context_request_t
| xcb_x_print_print_set_context_request_t More...
struct | xcb_x_print_print_get_context_cookie_t
| xcb_x_print_print_get_context_cookie_t More...
struct | xcb_x_print_print_get_context_request_t
| xcb_x_print_print_get_context_request_t More...
struct | xcb_x_print_print_get_context_reply_t
| xcb_x_print_print_get_context_reply_t More...
struct | xcb_x_print_print_destroy_context_request_t
| xcb_x_print_print_destroy_context_request_t More...
struct | xcb_x_print_print_get_screen_of_context_cookie_t
| xcb_x_print_print_get_screen_of_context_cookie_t More...
struct | xcb_x_print_print_get_screen_of_context_request_t
| xcb_x_print_print_get_screen_of_context_request_t More...
struct | xcb_x_print_print_get_screen_of_context_reply_t
| xcb_x_print_print_get_screen_of_context_reply_t More...
struct | xcb_x_print_print_start_job_request_t
| xcb_x_print_print_start_job_request_t More...
struct | xcb_x_print_print_end_job_request_t
| xcb_x_print_print_end_job_request_t More...
struct | xcb_x_print_print_start_doc_request_t
| xcb_x_print_print_start_doc_request_t More...
struct | xcb_x_print_print_end_doc_request_t
| xcb_x_print_print_end_doc_request_t More...
struct | xcb_x_print_print_put_document_data_request_t
| xcb_x_print_print_put_document_data_request_t More...
struct | xcb_x_print_print_get_document_data_cookie_t
| xcb_x_print_print_get_document_data_cookie_t More...
struct | xcb_x_print_print_get_document_data_request_t
| xcb_x_print_print_get_document_data_request_t More...
struct | xcb_x_print_print_get_document_data_reply_t
| xcb_x_print_print_get_document_data_reply_t More...
struct | xcb_x_print_print_start_page_request_t
| xcb_x_print_print_start_page_request_t More...
struct | xcb_x_print_print_end_page_request_t
| xcb_x_print_print_end_page_request_t More...
struct | xcb_x_print_print_select_input_request_t
| xcb_x_print_print_select_input_request_t More...
struct | xcb_x_print_print_input_selected_cookie_t
| xcb_x_print_print_input_selected_cookie_t More...
struct | xcb_x_print_print_input_selected_request_t
| xcb_x_print_print_input_selected_request_t More...
struct | xcb_x_print_print_input_selected_reply_t
| xcb_x_print_print_input_selected_reply_t More...
struct | xcb_x_print_print_get_attributes_cookie_t
| xcb_x_print_print_get_attributes_cookie_t More...
struct | xcb_x_print_print_get_attributes_request_t
| xcb_x_print_print_get_attributes_request_t More...
struct | xcb_x_print_print_get_attributes_reply_t
| xcb_x_print_print_get_attributes_reply_t More...
struct | xcb_x_print_print_get_one_attributes_cookie_t
| xcb_x_print_print_get_one_attributes_cookie_t More...
struct | xcb_x_print_print_get_one_attributes_request_t
| xcb_x_print_print_get_one_attributes_request_t More...
struct | xcb_x_print_print_get_one_attributes_reply_t
| xcb_x_print_print_get_one_attributes_reply_t More...
struct | xcb_x_print_print_set_attributes_request_t
| xcb_x_print_print_set_attributes_request_t More...
struct | xcb_x_print_print_get_page_dimensions_cookie_t
| xcb_x_print_print_get_page_dimensions_cookie_t More...
struct | xcb_x_print_print_get_page_dimensions_request_t
| xcb_x_print_print_get_page_dimensions_request_t More...
struct | xcb_x_print_print_get_page_dimensions_reply_t
| xcb_x_print_print_get_page_dimensions_reply_t More...
struct | xcb_x_print_print_query_screens_cookie_t
| xcb_x_print_print_query_screens_cookie_t More...
struct | xcb_x_print_print_query_screens_request_t
| xcb_x_print_print_query_screens_request_t More...
struct | xcb_x_print_print_query_screens_reply_t
| xcb_x_print_print_query_screens_reply_t More...
struct | xcb_x_print_print_set_image_resolution_cookie_t
| xcb_x_print_print_set_image_resolution_cookie_t More...
struct | xcb_x_print_print_set_image_resolution_request_t
| xcb_x_print_print_set_image_resolution_request_t More...
struct | xcb_x_print_print_set_image_resolution_reply_t
| xcb_x_print_print_set_image_resolution_reply_t More...
struct | xcb_x_print_print_get_image_resolution_cookie_t
| xcb_x_print_print_get_image_resolution_cookie_t More...
struct | xcb_x_print_print_get_image_resolution_request_t
| xcb_x_print_print_get_image_resolution_request_t More...
struct | xcb_x_print_print_get_image_resolution_reply_t
| xcb_x_print_print_get_image_resolution_reply_t More...
struct | xcb_x_print_notify_event_t
| xcb_x_print_notify_event_t More...
struct | xcb_x_print_attribut_notify_event_t
| xcb_x_print_attribut_notify_event_t More...
struct | xcb_x_print_bad_context_error_t
| xcb_x_print_bad_context_error_t More...
struct | xcb_x_print_bad_sequence_error_t
| xcb_x_print_bad_sequence_error_t More...
## Defines
#define | XCB_XPRINT_MAJOR_VERSION 1
#define | XCB_XPRINT_MINOR_VERSION 0
#define | XCB_X_PRINT_PRINT_QUERY_VERSION 0
#define | XCB_X_PRINT_PRINT_GET_PRINTER_LIST 1
#define | XCB_X_PRINT_PRINT_REHASH_PRINTER_LIST 20
#define | XCB_X_PRINT_CREATE_CONTEXT 2
#define | XCB_X_PRINT_PRINT_SET_CONTEXT 3
#define | XCB_X_PRINT_PRINT_GET_CONTEXT 4
#define | XCB_X_PRINT_PRINT_DESTROY_CONTEXT 5
#define | XCB_X_PRINT_PRINT_GET_SCREEN_OF_CONTEXT 6
#define | XCB_X_PRINT_PRINT_START_JOB 7
#define | XCB_X_PRINT_PRINT_END_JOB 8
#define | XCB_X_PRINT_PRINT_START_DOC 9
#define | XCB_X_PRINT_PRINT_END_DOC 10
#define | XCB_X_PRINT_PRINT_PUT_DOCUMENT_DATA 11
#define | XCB_X_PRINT_PRINT_GET_DOCUMENT_DATA 12
#define | XCB_X_PRINT_PRINT_START_PAGE 13
#define | XCB_X_PRINT_PRINT_END_PAGE 14
#define | XCB_X_PRINT_PRINT_SELECT_INPUT 15
#define | XCB_X_PRINT_PRINT_INPUT_SELECTED 16
#define | XCB_X_PRINT_PRINT_GET_ATTRIBUTES 17
#define | XCB_X_PRINT_PRINT_GET_ONE_ATTRIBUTES 19
#define | XCB_X_PRINT_PRINT_SET_ATTRIBUTES 18
#define | XCB_X_PRINT_PRINT_GET_PAGE_DIMENSIONS 21
#define | XCB_X_PRINT_PRINT_QUERY_SCREENS 22
#define | XCB_X_PRINT_PRINT_SET_IMAGE_RESOLUTION 23
#define | XCB_X_PRINT_PRINT_GET_IMAGE_RESOLUTION 24
#define | XCB_X_PRINT_NOTIFY 0
#define | XCB_X_PRINT_ATTRIBUT_NOTIFY 1
#define | XCB_X_PRINT_BAD_CONTEXT 0
#define | XCB_X_PRINT_BAD_SEQUENCE 1
## Typedefs
typedef char | xcb_x_print_string8_t
typedef uint32_t | xcb_x_print_pcontext_t
## Enumerations
enum | xcb_x_print_get_doc_t { XCB_X_PRINT_GET_DOC_FINISHED = 0, XCB_X_PRINT_GET_DOC_SECOND_CONSUMER = 1 }
enum | xcb_x_print_ev_mask_t { XCB_X_PRINT_EV_MASK_NO_EVENT_MASK = 0, XCB_X_PRINT_EV_MASK_PRINT_MASK = 1, XCB_X_PRINT_EV_MASK_ATTRIBUTE_MASK = 2 }
enum | xcb_x_print_detail_t { XCB_X_PRINT_DETAIL_START_JOB_NOTIFY = 1, XCB_X_PRINT_DETAIL_END_JOB_NOTIFY = 2, XCB_X_PRINT_DETAIL_START_DOC_NOTIFY = 3, XCB_X_PRINT_DETAIL_END_DOC_NOTIFY = 4, XCB_X_PRINT_DETAIL_START_PAGE_NOTIFY = 5, XCB_X_PRINT_DETAIL_END_PAGE_NOTIFY = 6 }
enum | xcb_x_print_attr_t { XCB_X_PRINT_ATTR_JOB_ATTR = 1, XCB_X_PRINT_ATTR_DOC_ATTR = 2, XCB_X_PRINT_ATTR_PAGE_ATTR = 3, XCB_X_PRINT_ATTR_PRINTER_ATTR = 4, XCB_X_PRINT_ATTR_SERVER_ATTR = 5, XCB_X_PRINT_ATTR_MEDIUM_ATTR = 6, XCB_X_PRINT_ATTR_SPOOLER_ATTR = 7 }
## Functions
void | xcb_x_print_string8_next (xcb_x_print_string8_iterator_t *i)
xcb_generic_iterator_t | xcb_x_print_string8_end (xcb_x_print_string8_iterator_t i)
xcb_x_print_string8_t * | xcb_x_print_printer_name (const xcb_x_print_printer_t *R)
int | xcb_x_print_printer_name_length (const xcb_x_print_printer_t *R)
xcb_generic_iterator_t | xcb_x_print_printer_name_end (const xcb_x_print_printer_t *R)
uint32_t | xcb_x_print_printer_desc_len (const xcb_x_print_printer_t *R)
xcb_x_print_string8_t * | xcb_x_print_printer_description (const xcb_x_print_printer_t *R)
int | xcb_x_print_printer_description_length (const xcb_x_print_printer_t *R)
xcb_generic_iterator_t | xcb_x_print_printer_description_end (const xcb_x_print_printer_t *R)
void | xcb_x_print_printer_next (xcb_x_print_printer_iterator_t *i)
xcb_generic_iterator_t | xcb_x_print_printer_end (xcb_x_print_printer_iterator_t i)
void | xcb_x_print_pcontext_next (xcb_x_print_pcontext_iterator_t *i)
xcb_generic_iterator_t | xcb_x_print_pcontext_end (xcb_x_print_pcontext_iterator_t i)
xcb_x_print_print_query_version_cookie_t | xcb_x_print_print_query_version (xcb_connection_t *c)
xcb_x_print_print_query_version_cookie_t | xcb_x_print_print_query_version_unchecked (xcb_connection_t *c)
xcb_x_print_print_query_version_reply_t * | xcb_x_print_print_query_version_reply (xcb_connection_t *c, xcb_x_print_print_query_version_cookie_t cookie, xcb_generic_error_t **e)
xcb_x_print_print_get_printer_list_cookie_t | xcb_x_print_print_get_printer_list (xcb_connection_t *c, uint32_t printerNameLen, uint32_t localeLen, const xcb_x_print_string8_t *printer_name, const xcb_x_print_string8_t *locale)
xcb_x_print_print_get_printer_list_cookie_t | xcb_x_print_print_get_printer_list_unchecked (xcb_connection_t *c, uint32_t printerNameLen, uint32_t localeLen, const xcb_x_print_string8_t *printer_name, const xcb_x_print_string8_t *locale)
int | xcb_x_print_print_get_printer_list_printers_length (const xcb_x_print_print_get_printer_list_reply_t *R)
xcb_x_print_printer_iterator_t | xcb_x_print_print_get_printer_list_printers_iterator (const xcb_x_print_print_get_printer_list_reply_t *R)
xcb_x_print_print_get_printer_list_reply_t * | xcb_x_print_print_get_printer_list_reply (xcb_connection_t *c, xcb_x_print_print_get_printer_list_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_x_print_print_rehash_printer_list_checked (xcb_connection_t *c)
xcb_void_cookie_t | xcb_x_print_print_rehash_printer_list (xcb_connection_t *c)
xcb_void_cookie_t | xcb_x_print_create_context_checked (xcb_connection_t *c, uint32_t context_id, uint32_t printerNameLen, uint32_t localeLen, const xcb_x_print_string8_t *printerName, const xcb_x_print_string8_t *locale)
xcb_void_cookie_t | xcb_x_print_create_context (xcb_connection_t *c, uint32_t context_id, uint32_t printerNameLen, uint32_t localeLen, const xcb_x_print_string8_t *printerName, const xcb_x_print_string8_t *locale)
xcb_void_cookie_t | xcb_x_print_print_set_context_checked (xcb_connection_t *c, uint32_t context)
xcb_void_cookie_t | xcb_x_print_print_set_context (xcb_connection_t *c, uint32_t context)
xcb_x_print_print_get_context_cookie_t | xcb_x_print_print_get_context (xcb_connection_t *c)
xcb_x_print_print_get_context_cookie_t | xcb_x_print_print_get_context_unchecked (xcb_connection_t *c)
xcb_x_print_print_get_context_reply_t * | xcb_x_print_print_get_context_reply (xcb_connection_t *c, xcb_x_print_print_get_context_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_x_print_print_destroy_context_checked (xcb_connection_t *c, uint32_t context)
xcb_void_cookie_t | xcb_x_print_print_destroy_context (xcb_connection_t *c, uint32_t context)
xcb_x_print_print_get_screen_of_context_cookie_t | xcb_x_print_print_get_screen_of_context (xcb_connection_t *c)
xcb_x_print_print_get_screen_of_context_cookie_t | xcb_x_print_print_get_screen_of_context_unchecked (xcb_connection_t *c)
xcb_x_print_print_get_screen_of_context_reply_t * | xcb_x_print_print_get_screen_of_context_reply (xcb_connection_t *c, xcb_x_print_print_get_screen_of_context_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_x_print_print_start_job_checked (xcb_connection_t *c, uint8_t output_mode)
xcb_void_cookie_t | xcb_x_print_print_start_job (xcb_connection_t *c, uint8_t output_mode)
xcb_void_cookie_t | xcb_x_print_print_end_job_checked (xcb_connection_t *c, uint8_t cancel)
xcb_void_cookie_t | xcb_x_print_print_end_job (xcb_connection_t *c, uint8_t cancel)
xcb_void_cookie_t | xcb_x_print_print_start_doc_checked (xcb_connection_t *c, uint8_t driver_mode)
xcb_void_cookie_t | xcb_x_print_print_start_doc (xcb_connection_t *c, uint8_t driver_mode)
xcb_void_cookie_t | xcb_x_print_print_end_doc_checked (xcb_connection_t *c, uint8_t cancel)
xcb_void_cookie_t | xcb_x_print_print_end_doc (xcb_connection_t *c, uint8_t cancel)
xcb_void_cookie_t | xcb_x_print_print_put_document_data_checked (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t len_data, uint16_t len_fmt, uint16_t len_options, const uint8_t *data, uint32_t doc_format_len, const xcb_x_print_string8_t *doc_format, uint32_t options_len, const xcb_x_print_string8_t *options)
xcb_void_cookie_t | xcb_x_print_print_put_document_data (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t len_data, uint16_t len_fmt, uint16_t len_options, const uint8_t *data, uint32_t doc_format_len, const xcb_x_print_string8_t *doc_format, uint32_t options_len, const xcb_x_print_string8_t *options)
xcb_x_print_print_get_document_data_cookie_t | xcb_x_print_print_get_document_data (xcb_connection_t *c, xcb_x_print_pcontext_t context, uint32_t max_bytes)
xcb_x_print_print_get_document_data_cookie_t | xcb_x_print_print_get_document_data_unchecked (xcb_connection_t *c, xcb_x_print_pcontext_t context, uint32_t max_bytes)
uint8_t * | xcb_x_print_print_get_document_data_data (const xcb_x_print_print_get_document_data_reply_t *R)
int | xcb_x_print_print_get_document_data_data_length (const xcb_x_print_print_get_document_data_reply_t *R)
xcb_generic_iterator_t | xcb_x_print_print_get_document_data_data_end (const xcb_x_print_print_get_document_data_reply_t *R)
xcb_x_print_print_get_document_data_reply_t * | xcb_x_print_print_get_document_data_reply (xcb_connection_t *c, xcb_x_print_print_get_document_data_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_x_print_print_start_page_checked (xcb_connection_t *c, xcb_window_t window)
xcb_void_cookie_t | xcb_x_print_print_start_page (xcb_connection_t *c, xcb_window_t window)
xcb_void_cookie_t | xcb_x_print_print_end_page_checked (xcb_connection_t *c, uint8_t cancel)
xcb_void_cookie_t | xcb_x_print_print_end_page (xcb_connection_t *c, uint8_t cancel)
xcb_void_cookie_t | xcb_x_print_print_select_input_checked (xcb_connection_t *c, xcb_x_print_pcontext_t context, uint32_t event_mask, const uint32_t *event_list)
xcb_void_cookie_t | xcb_x_print_print_select_input (xcb_connection_t *c, xcb_x_print_pcontext_t context, uint32_t event_mask, const uint32_t *event_list)
xcb_x_print_print_input_selected_cookie_t | xcb_x_print_print_input_selected (xcb_connection_t *c, xcb_x_print_pcontext_t context)
xcb_x_print_print_input_selected_cookie_t | xcb_x_print_print_input_selected_unchecked (xcb_connection_t *c, xcb_x_print_pcontext_t context)
uint32_t * | xcb_x_print_print_input_selected_event_list (const xcb_x_print_print_input_selected_reply_t *R)
int | xcb_x_print_print_input_selected_event_list_length (const xcb_x_print_print_input_selected_reply_t *R)
xcb_generic_iterator_t | xcb_x_print_print_input_selected_event_list_end (const xcb_x_print_print_input_selected_reply_t *R)
uint32_t | xcb_x_print_print_input_selected_all_events_mask (const xcb_x_print_print_input_selected_reply_t *R)
uint32_t * | xcb_x_print_print_input_selected_all_events_list (const xcb_x_print_print_input_selected_reply_t *R)
int | xcb_x_print_print_input_selected_all_events_list_length (const xcb_x_print_print_input_selected_reply_t *R)
xcb_generic_iterator_t | xcb_x_print_print_input_selected_all_events_list_end (const xcb_x_print_print_input_selected_reply_t *R)
xcb_x_print_print_input_selected_reply_t * | xcb_x_print_print_input_selected_reply (xcb_connection_t *c, xcb_x_print_print_input_selected_cookie_t cookie, xcb_generic_error_t **e)
xcb_x_print_print_get_attributes_cookie_t | xcb_x_print_print_get_attributes (xcb_connection_t *c, xcb_x_print_pcontext_t context, uint8_t pool)
xcb_x_print_print_get_attributes_cookie_t | xcb_x_print_print_get_attributes_unchecked (xcb_connection_t *c, xcb_x_print_pcontext_t context, uint8_t pool)
xcb_x_print_print_get_attributes_reply_t * | xcb_x_print_print_get_attributes_reply (xcb_connection_t *c, xcb_x_print_print_get_attributes_cookie_t cookie, xcb_generic_error_t **e)
xcb_x_print_print_get_one_attributes_cookie_t | xcb_x_print_print_get_one_attributes (xcb_connection_t *c, xcb_x_print_pcontext_t context, uint32_t nameLen, uint8_t pool, const xcb_x_print_string8_t *name)
xcb_x_print_print_get_one_attributes_cookie_t | xcb_x_print_print_get_one_attributes_unchecked (xcb_connection_t *c, xcb_x_print_pcontext_t context, uint32_t nameLen, uint8_t pool, const xcb_x_print_string8_t *name)
xcb_x_print_string8_t * | xcb_x_print_print_get_one_attributes_value (const xcb_x_print_print_get_one_attributes_reply_t *R)
int | xcb_x_print_print_get_one_attributes_value_length (const xcb_x_print_print_get_one_attributes_reply_t *R)
xcb_generic_iterator_t | xcb_x_print_print_get_one_attributes_value_end (const xcb_x_print_print_get_one_attributes_reply_t *R)
xcb_x_print_print_get_one_attributes_reply_t * | xcb_x_print_print_get_one_attributes_reply (xcb_connection_t *c, xcb_x_print_print_get_one_attributes_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_x_print_print_set_attributes_checked (xcb_connection_t *c, xcb_x_print_pcontext_t context, uint32_t stringLen, uint8_t pool, uint8_t rule, uint32_t attributes_len, const xcb_x_print_string8_t *attributes)
xcb_void_cookie_t | xcb_x_print_print_set_attributes (xcb_connection_t *c, xcb_x_print_pcontext_t context, uint32_t stringLen, uint8_t pool, uint8_t rule, uint32_t attributes_len, const xcb_x_print_string8_t *attributes)
xcb_x_print_print_get_page_dimensions_cookie_t | xcb_x_print_print_get_page_dimensions (xcb_connection_t *c, xcb_x_print_pcontext_t context)
xcb_x_print_print_get_page_dimensions_cookie_t | xcb_x_print_print_get_page_dimensions_unchecked (xcb_connection_t *c, xcb_x_print_pcontext_t context)
xcb_x_print_print_get_page_dimensions_reply_t * | xcb_x_print_print_get_page_dimensions_reply (xcb_connection_t *c, xcb_x_print_print_get_page_dimensions_cookie_t cookie, xcb_generic_error_t **e)
xcb_x_print_print_query_screens_cookie_t | xcb_x_print_print_query_screens (xcb_connection_t *c)
xcb_x_print_print_query_screens_cookie_t | xcb_x_print_print_query_screens_unchecked (xcb_connection_t *c)
xcb_window_t * | xcb_x_print_print_query_screens_roots (const xcb_x_print_print_query_screens_reply_t *R)
int | xcb_x_print_print_query_screens_roots_length (const xcb_x_print_print_query_screens_reply_t *R)
xcb_generic_iterator_t | xcb_x_print_print_query_screens_roots_end (const xcb_x_print_print_query_screens_reply_t *R)
xcb_x_print_print_query_screens_reply_t * | xcb_x_print_print_query_screens_reply (xcb_connection_t *c, xcb_x_print_print_query_screens_cookie_t cookie, xcb_generic_error_t **e)
xcb_x_print_print_set_image_resolution_cookie_t | xcb_x_print_print_set_image_resolution (xcb_connection_t *c, xcb_x_print_pcontext_t context, uint16_t image_resolution)
xcb_x_print_print_set_image_resolution_cookie_t | xcb_x_print_print_set_image_resolution_unchecked (xcb_connection_t *c, xcb_x_print_pcontext_t context, uint16_t image_resolution)
xcb_x_print_print_set_image_resolution_reply_t * | xcb_x_print_print_set_image_resolution_reply (xcb_connection_t *c, xcb_x_print_print_set_image_resolution_cookie_t cookie, xcb_generic_error_t **e)
xcb_x_print_print_get_image_resolution_cookie_t | xcb_x_print_print_get_image_resolution (xcb_connection_t *c, xcb_x_print_pcontext_t context)
xcb_x_print_print_get_image_resolution_cookie_t | xcb_x_print_print_get_image_resolution_unchecked (xcb_connection_t *c, xcb_x_print_pcontext_t context)
xcb_x_print_print_get_image_resolution_reply_t * | xcb_x_print_print_get_image_resolution_reply (xcb_connection_t *c, xcb_x_print_print_get_image_resolution_cookie_t cookie, xcb_generic_error_t **e)
## Variables
xcb_extension_t | xcb_x_print_id

## Detailed Description

XPrint XCB Protocol Implementation.

## Define Documentation

#define XCB_X_PRINT_ATTRIBUT_NOTIFY 1

Opcode for xcb_x_print_attribut_notify.

#define XCB_X_PRINT_BAD_CONTEXT 0

Opcode for xcb_x_print_bad_context.

#define XCB_X_PRINT_BAD_SEQUENCE 1

Opcode for xcb_x_print_bad_sequence.

#define XCB_X_PRINT_CREATE_CONTEXT 2

Opcode for xcb_x_print_create_context.

#define XCB_X_PRINT_NOTIFY 0

Opcode for xcb_x_print_notify.

#define XCB_X_PRINT_PRINT_DESTROY_CONTEXT 5

Opcode for xcb_x_print_print_destroy_context.

#define XCB_X_PRINT_PRINT_END_DOC 10

Opcode for xcb_x_print_print_end_doc.

#define XCB_X_PRINT_PRINT_END_JOB 8

Opcode for xcb_x_print_print_end_job.

#define XCB_X_PRINT_PRINT_END_PAGE 14

Opcode for xcb_x_print_print_end_page.

#define XCB_X_PRINT_PRINT_GET_ATTRIBUTES 17

Opcode for xcb_x_print_print_get_attributes.

#define XCB_X_PRINT_PRINT_GET_CONTEXT 4

Opcode for xcb_x_print_print_get_context.

#define XCB_X_PRINT_PRINT_GET_DOCUMENT_DATA 12

Opcode for xcb_x_print_print_get_document_data.

#define XCB_X_PRINT_PRINT_GET_IMAGE_RESOLUTION 24

Opcode for xcb_x_print_print_get_image_resolution.

#define XCB_X_PRINT_PRINT_GET_ONE_ATTRIBUTES 19

Opcode for xcb_x_print_print_get_one_attributes.

#define XCB_X_PRINT_PRINT_GET_PAGE_DIMENSIONS 21

Opcode for xcb_x_print_print_get_page_dimensions.

#define XCB_X_PRINT_PRINT_GET_PRINTER_LIST 1

Opcode for xcb_x_print_print_get_printer_list.

#define XCB_X_PRINT_PRINT_GET_SCREEN_OF_CONTEXT 6

Opcode for xcb_x_print_print_get_screen_of_context.

#define XCB_X_PRINT_PRINT_INPUT_SELECTED 16

Opcode for xcb_x_print_print_input_selected.

#define XCB_X_PRINT_PRINT_PUT_DOCUMENT_DATA 11

Opcode for xcb_x_print_print_put_document_data.

#define XCB_X_PRINT_PRINT_QUERY_SCREENS 22

Opcode for xcb_x_print_print_query_screens.

#define XCB_X_PRINT_PRINT_QUERY_VERSION 0

Opcode for xcb_x_print_print_query_version.

#define XCB_X_PRINT_PRINT_REHASH_PRINTER_LIST 20

Opcode for xcb_x_print_print_rehash_printer_list.

#define XCB_X_PRINT_PRINT_SELECT_INPUT 15

Opcode for xcb_x_print_print_select_input.

#define XCB_X_PRINT_PRINT_SET_ATTRIBUTES 18

Opcode for xcb_x_print_print_set_attributes.

#define XCB_X_PRINT_PRINT_SET_CONTEXT 3

Opcode for xcb_x_print_print_set_context.

#define XCB_X_PRINT_PRINT_SET_IMAGE_RESOLUTION 23

Opcode for xcb_x_print_print_set_image_resolution.

#define XCB_X_PRINT_PRINT_START_DOC 9

Opcode for xcb_x_print_print_start_doc.

#define XCB_X_PRINT_PRINT_START_JOB 7

Opcode for xcb_x_print_print_start_job.

#define XCB_X_PRINT_PRINT_START_PAGE 13

Opcode for xcb_x_print_print_start_page.

## Function Documentation

xcb_void_cookie_t xcb_x_print_create_context | ( | xcb_connection_t * | c,
|  | uint32_t | context_id,
|  | uint32_t | printerNameLen,
|  | uint32_t | localeLen,
|  | const xcb_x_print_string8_t * | printerName,
|  | const xcb_x_print_string8_t * | locale |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_x_print_create_context_checked | ( | xcb_connection_t * | c,
|  | uint32_t | context_id,
|  | uint32_t | printerNameLen,
|  | uint32_t | localeLen,
|  | const xcb_x_print_string8_t * | printerName,
|  | const xcb_x_print_string8_t * | locale |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_x_print_pcontext_end | ( | xcb_x_print_pcontext_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_x_print_pcontext_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_x_print_pcontext_next | ( | xcb_x_print_pcontext_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_x_print_pcontext_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_x_print_pcontext_t)

xcb_void_cookie_t xcb_x_print_print_destroy_context | ( | xcb_connection_t * | c,
|  | uint32_t | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_x_print_print_destroy_context_checked | ( | xcb_connection_t * | c,
|  | uint32_t | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_x_print_print_end_doc | ( | xcb_connection_t * | c,
|  | uint8_t | cancel |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_x_print_print_end_doc_checked | ( | xcb_connection_t * | c,
|  | uint8_t | cancel |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_x_print_print_end_job | ( | xcb_connection_t * | c,
|  | uint8_t | cancel |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_x_print_print_end_job_checked | ( | xcb_connection_t * | c,
|  | uint8_t | cancel |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_x_print_print_end_page | ( | xcb_connection_t * | c,
|  | uint8_t | cancel |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_x_print_print_end_page_checked | ( | xcb_connection_t * | c,
|  | uint8_t | cancel |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_x_print_print_get_attributes_cookie_t xcb_x_print_print_get_attributes | ( | xcb_connection_t * | c,
|  | xcb_x_print_pcontext_t | context,
|  | uint8_t | pool |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_x_print_print_get_attributes_reply_t* xcb_x_print_print_get_attributes_reply | ( | xcb_connection_t * | c,
|  | xcb_x_print_print_get_attributes_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_x_print_print_get_attributes_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_x_print_print_get_attributes_cookie_t xcb_x_print_print_get_attributes_unchecked | ( | xcb_connection_t * | c,
|  | xcb_x_print_pcontext_t | context,
|  | uint8_t | pool |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_x_print_print_get_context_cookie_t xcb_x_print_print_get_context | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_x_print_print_get_context_reply_t* xcb_x_print_print_get_context_reply | ( | xcb_connection_t * | c,
|  | xcb_x_print_print_get_context_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_x_print_print_get_context_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_x_print_print_get_context_cookie_t xcb_x_print_print_get_context_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_x_print_print_get_document_data_cookie_t xcb_x_print_print_get_document_data | ( | xcb_connection_t * | c,
|  | xcb_x_print_pcontext_t | context,
|  | uint32_t | max_bytes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_x_print_print_get_document_data_reply_t* xcb_x_print_print_get_document_data_reply | ( | xcb_connection_t * | c,
|  | xcb_x_print_print_get_document_data_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_x_print_print_get_document_data_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_x_print_print_get_document_data_cookie_t xcb_x_print_print_get_document_data_unchecked | ( | xcb_connection_t * | c,
|  | xcb_x_print_pcontext_t | context,
|  | uint32_t | max_bytes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_x_print_print_get_image_resolution_cookie_t xcb_x_print_print_get_image_resolution | ( | xcb_connection_t * | c,
|  | xcb_x_print_pcontext_t | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_x_print_print_get_image_resolution_reply_t* xcb_x_print_print_get_image_resolution_reply | ( | xcb_connection_t * | c,
|  | xcb_x_print_print_get_image_resolution_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_x_print_print_get_image_resolution_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_x_print_print_get_image_resolution_cookie_t xcb_x_print_print_get_image_resolution_unchecked | ( | xcb_connection_t * | c,
|  | xcb_x_print_pcontext_t | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_x_print_print_get_one_attributes_cookie_t xcb_x_print_print_get_one_attributes | ( | xcb_connection_t * | c,
|  | xcb_x_print_pcontext_t | context,
|  | uint32_t | nameLen,
|  | uint8_t | pool,
|  | const xcb_x_print_string8_t * | name |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_x_print_print_get_one_attributes_reply_t* xcb_x_print_print_get_one_attributes_reply | ( | xcb_connection_t * | c,
|  | xcb_x_print_print_get_one_attributes_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_x_print_print_get_one_attributes_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_x_print_print_get_one_attributes_cookie_t xcb_x_print_print_get_one_attributes_unchecked | ( | xcb_connection_t * | c,
|  | xcb_x_print_pcontext_t | context,
|  | uint32_t | nameLen,
|  | uint8_t | pool,
|  | const xcb_x_print_string8_t * | name |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_x_print_print_get_page_dimensions_cookie_t xcb_x_print_print_get_page_dimensions | ( | xcb_connection_t * | c,
|  | xcb_x_print_pcontext_t | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_x_print_print_get_page_dimensions_reply_t* xcb_x_print_print_get_page_dimensions_reply | ( | xcb_connection_t * | c,
|  | xcb_x_print_print_get_page_dimensions_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_x_print_print_get_page_dimensions_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_x_print_print_get_page_dimensions_cookie_t xcb_x_print_print_get_page_dimensions_unchecked | ( | xcb_connection_t * | c,
|  | xcb_x_print_pcontext_t | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_x_print_print_get_printer_list_cookie_t xcb_x_print_print_get_printer_list | ( | xcb_connection_t * | c,
|  | uint32_t | printerNameLen,
|  | uint32_t | localeLen,
|  | const xcb_x_print_string8_t * | printer_name,
|  | const xcb_x_print_string8_t * | locale |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_x_print_print_get_printer_list_reply_t* xcb_x_print_print_get_printer_list_reply | ( | xcb_connection_t * | c,
|  | xcb_x_print_print_get_printer_list_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_x_print_print_get_printer_list_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_x_print_print_get_printer_list_cookie_t xcb_x_print_print_get_printer_list_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | printerNameLen,
|  | uint32_t | localeLen,
|  | const xcb_x_print_string8_t * | printer_name,
|  | const xcb_x_print_string8_t * | locale |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_x_print_print_get_screen_of_context_cookie_t xcb_x_print_print_get_screen_of_context | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_x_print_print_get_screen_of_context_reply_t* xcb_x_print_print_get_screen_of_context_reply | ( | xcb_connection_t * | c,
|  | xcb_x_print_print_get_screen_of_context_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_x_print_print_get_screen_of_context_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_x_print_print_get_screen_of_context_cookie_t xcb_x_print_print_get_screen_of_context_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_x_print_print_input_selected_cookie_t xcb_x_print_print_input_selected | ( | xcb_connection_t * | c,
|  | xcb_x_print_pcontext_t | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_x_print_print_input_selected_reply_t* xcb_x_print_print_input_selected_reply | ( | xcb_connection_t * | c,
|  | xcb_x_print_print_input_selected_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_x_print_print_input_selected_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_x_print_print_input_selected_cookie_t xcb_x_print_print_input_selected_unchecked | ( | xcb_connection_t * | c,
|  | xcb_x_print_pcontext_t | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_void_cookie_t xcb_x_print_print_put_document_data | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | len_data,
|  | uint16_t | len_fmt,
|  | uint16_t | len_options,
|  | const uint8_t * | data,
|  | uint32_t | doc_format_len,
|  | const xcb_x_print_string8_t * | doc_format,
|  | uint32_t | options_len,
|  | const xcb_x_print_string8_t * | options |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_x_print_print_put_document_data_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | len_data,
|  | uint16_t | len_fmt,
|  | uint16_t | len_options,
|  | const uint8_t * | data,
|  | uint32_t | doc_format_len,
|  | const xcb_x_print_string8_t * | doc_format,
|  | uint32_t | options_len,
|  | const xcb_x_print_string8_t * | options |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_x_print_print_query_screens_cookie_t xcb_x_print_print_query_screens | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_x_print_print_query_screens_reply_t* xcb_x_print_print_query_screens_reply | ( | xcb_connection_t * | c,
|  | xcb_x_print_print_query_screens_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_x_print_print_query_screens_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_x_print_print_query_screens_cookie_t xcb_x_print_print_query_screens_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_x_print_print_query_version_cookie_t xcb_x_print_print_query_version | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_x_print_print_query_version_reply_t* xcb_x_print_print_query_version_reply | ( | xcb_connection_t * | c,
|  | xcb_x_print_print_query_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_x_print_print_query_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_x_print_print_query_version_cookie_t xcb_x_print_print_query_version_unchecked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_void_cookie_t xcb_x_print_print_rehash_printer_list | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_x_print_print_rehash_printer_list_checked | ( | xcb_connection_t * | c | ) |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_x_print_print_select_input | ( | xcb_connection_t * | c,
|  | xcb_x_print_pcontext_t | context,
|  | uint32_t | event_mask,
|  | const uint32_t * | event_list |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_x_print_print_select_input_checked | ( | xcb_connection_t * | c,
|  | xcb_x_print_pcontext_t | context,
|  | uint32_t | event_mask,
|  | const uint32_t * | event_list |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_x_print_print_set_attributes | ( | xcb_connection_t * | c,
|  | xcb_x_print_pcontext_t | context,
|  | uint32_t | stringLen,
|  | uint8_t | pool,
|  | uint8_t | rule,
|  | uint32_t | attributes_len,
|  | const xcb_x_print_string8_t * | attributes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_x_print_print_set_attributes_checked | ( | xcb_connection_t * | c,
|  | xcb_x_print_pcontext_t | context,
|  | uint32_t | stringLen,
|  | uint8_t | pool,
|  | uint8_t | rule,
|  | uint32_t | attributes_len,
|  | const xcb_x_print_string8_t * | attributes |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_x_print_print_set_context | ( | xcb_connection_t * | c,
|  | uint32_t | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_x_print_print_set_context_checked | ( | xcb_connection_t * | c,
|  | uint32_t | context |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_x_print_print_set_image_resolution_cookie_t xcb_x_print_print_set_image_resolution | ( | xcb_connection_t * | c,
|  | xcb_x_print_pcontext_t | context,
|  | uint16_t | image_resolution |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_x_print_print_set_image_resolution_reply_t* xcb_x_print_print_set_image_resolution_reply | ( | xcb_connection_t * | c,
|  | xcb_x_print_print_set_image_resolution_cookie_t | cookie,
|  | xcb_generic_error_t ** | e |
| ) |  |  |

Return the reply

Parameters:

  | c | The connection
  | cookie | The cookie
  | e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_x_print_print_set_image_resolution_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

xcb_x_print_print_set_image_resolution_cookie_t xcb_x_print_print_set_image_resolution_unchecked | ( | xcb_connection_t * | c,
|  | xcb_x_print_pcontext_t | context,
|  | uint16_t | image_resolution |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

xcb_void_cookie_t xcb_x_print_print_start_doc | ( | xcb_connection_t * | c,
|  | uint8_t | driver_mode |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_x_print_print_start_doc_checked | ( | xcb_connection_t * | c,
|  | uint8_t | driver_mode |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_x_print_print_start_job | ( | xcb_connection_t * | c,
|  | uint8_t | output_mode |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_x_print_print_start_job_checked | ( | xcb_connection_t * | c,
|  | uint8_t | output_mode |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_void_cookie_t xcb_x_print_print_start_page | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

xcb_void_cookie_t xcb_x_print_print_start_page_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window |
| ) |  |  |

Delivers a request to the X server

Parameters:

  | c | The connection

Returns:
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

xcb_generic_iterator_t xcb_x_print_printer_end | ( | xcb_x_print_printer_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_x_print_printer_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_x_print_printer_next | ( | xcb_x_print_printer_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_x_print_printer_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_x_print_printer_t)

xcb_generic_iterator_t xcb_x_print_string8_end | ( | xcb_x_print_string8_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters:

  | i | An xcb_x_print_string8_iterator_t

Returns:
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

void xcb_x_print_string8_next | ( | xcb_x_print_string8_iterator_t * | i | ) |

Get the next element of the iterator

Parameters:

  | i | Pointer to a xcb_x_print_string8_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_x_print_string8_t)